OGRE: Ogre::DynLibManager Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::DynLibManager Class Reference

Manager for Dynamic-loading Libraries. More...

`#include <OgreDynLibManager.h>`

Inheritance diagram for Ogre::DynLibManager:

[legend]
List of all members.

## Public Member Functions

| DynLibManager ()
| Default constructor.
virtual | ~DynLibManager ()
| Default destructor.
DynLib * | load (const String &filename)
| Loads the passed library.
void | unload (DynLib *lib)
| Unloads the passed library.

## Static Public Member Functions

static DynLibManager & | getSingleton (void)
| Override standard Singleton retrieval.
static DynLibManager * | getSingletonPtr (void)
| Override standard Singleton retrieval.

## Protected Types

typedef std::map< String, DynLib * > | DynLibList

## Protected Attributes

DynLibList | mLibList

## Static Protected Attributes

static DynLibManager * | ms_Singleton

## Detailed Description

Manager for Dynamic-loading Libraries.

Remarks:
  This manager keeps a track of all the open dynamic-loading libraries, opens them and returns references to already-open libraries.

Definition at line 42 of file OgreDynLibManager.h.

## Member Typedef Documentation

typedef std::map<String, DynLib*> Ogre::DynLibManager::DynLibList`[protected]`

| Definition at line 45 of file OgreDynLibManager.h.

## Constructor & Destructor Documentation

Ogre::DynLibManager::DynLibManager | ( |  | ) |

Default constructor.

Note:
  Should never be called as the singleton is automatically created during the creation of the Root object.

See also:
  Root::Root

virtual Ogre::DynLibManager::~DynLibManager | ( |  | ) | `[virtual]`

Default destructor.

See also:
  Root::~Root

## Member Function Documentation

static DynLibManager& Ogre::DynLibManager::getSingleton | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

Reimplemented from Ogre::Singleton< DynLibManager >.

static DynLibManager* Ogre::DynLibManager::getSingletonPtr | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

Reimplemented from Ogre::Singleton< DynLibManager >.

DynLib* Ogre::DynLibManager::load | ( | const String & | filename | ) |

Loads the passed library.

Parameters:

  | filename | The name of the library. The extension can be ommitted

void Ogre::DynLibManager::unload | ( | DynLib * | lib | ) |

Unloads the passed library.

Parameters:

  | filename | The name of the library. The extension can be ommitted

## Member Data Documentation

DynLibList Ogre::DynLibManager::mLibList`[protected]`

| Definition at line 46 of file OgreDynLibManager.h.

DynLibManager * Ogre::Singleton< DynLibManager >::ms_Singleton`[static, protected, inherited]`

| Definition at line 61 of file OgreSingleton.h.

The documentation for this class was generated from the following file:

- OgreDynLibManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:41 2008